Index: sasmodels/models/HayterMSAsq.py
===================================================================
--- sasmodels/models/HayterMSAsq.py	(revision 13ed84c3c71257d2df9c2ed4b4e98c0bfa4d7d69)
+++ sasmodels/models/HayterMSAsq.py	(revision ec2ca99b9e3d90e4b91919c523a94d9855ca9c3c)
@@ -52,23 +52,22 @@
     [Hayter-Penfold MSA charged sphere interparticle S(Q) structure factor]
         Interparticle structure factor S(Q)for a charged hard spheres.
-        Routine takes absolute value of charge, use HardSphere if charge goes to zero.
+        Routine takes absolute value of charge, use HardSphere if charge
+        goes to zero.
         In sasview the effective radius will be calculated from the
         parameters used in P(Q).
 """
 single = False  # double precision only for now
+
+# pylint: disable=bad-whitespace, line-too-long
 #             [ "name", "units", default, [lower, upper], "type", "description" ],
-parameters = [["effect_radius", "Ang", 20.75, [0, inf], "volume",
-               "effective radius of hard sphere"],
-              ["charge", "e", 19.0, [0, inf], "",
-               "charge on sphere (in electrons)"],
-              ["volfraction", "", 0.0192, [0, 0.74], "",
-               "volume fraction of spheres"],
-              ["temperature", "K", 318.16, [0, inf], "",
-               "temperature, in Kelvin, for Debye length calculation"],
-              ["saltconc", "M", 0.0, [-inf, inf], "",
-               "conc of salt, 1:1 electolyte, for Debye length"],
-              ["dielectconst", "", 71.08, [-inf, inf], "",
-               "dielectric constant of solvent (default water), for Debye length"],
-             ]
+parameters = [
+    ["effect_radius", "Ang", 20.75,   [0, inf],    "volume", "effective radius of hard sphere"],
+    ["charge",        "e",   19.0,    [0, inf],    "", "charge on sphere (in electrons)"],
+    ["volfraction",   "",     0.0192, [0, 0.74],   "", "volume fraction of spheres"],
+    ["temperature",   "K",  318.16,   [0, inf],    "", "temperature, in Kelvin, for Debye length calculation"],
+    ["saltconc",      "M",    0.0,    [-inf, inf], "", "conc of salt, 1:1 electolyte, for Debye length"],
+    ["dielectconst",  "",    71.08,   [-inf, inf], "", "dielectric constant of solvent (default water), for Debye length"],
+    ]
+# pylint: enable=bad-whitespace, line-too-long
 category = "structure-factor"
 
@@ -88,12 +87,28 @@
 oldpars = dict()
 # default parameter set,  use  compare.sh -midQ -linear
-# note the calculation varies in different limiting cases so a wide range of parameters will be required for a thorough test!
+# note the calculation varies in different limiting cases so a wide range of
+# parameters will be required for a thorough test!
 # odd that the default st has saltconc zero
-demo = dict(effect_radius = 20.75,charge=19.0,volfraction = 0.0192,temperature=318.16,saltconc=0.05,dielectconst=71.08,effect_radius_pd = 0.1,effect_radius_pd_n = 40)
+demo = dict(effect_radius=20.75,
+            charge=19.0,
+            volfraction=0.0192,
+            temperature=318.16,
+            saltconc=0.05,
+            dielectconst=71.08,
+            effect_radius_pd=0.1,
+            effect_radius_pd_n=40)
 #
 # attempt to use same values as old sasview unit test
 tests = [
-        [ {'scale': 1.0, 'background' : 0.0, 'effect_radius' : 20.75, 'charge' : 19.0, 'volfraction' : 0.0192, 'temperature' : 298.0,
-          'saltconc' : 0,'dielectconst' : 78.0, 'effect_radius_pd' : 0}, [0.0010], [0.0712928]]
-        ]
+    [{'scale': 1.0,
+      'background': 0.0,
+      'effect_radius': 20.75,
+      'charge': 19.0,
+      'volfraction': 0.0192,
+      'temperature': 298.0,
+      'saltconc': 0,
+      'dielectconst': 78.0,
+      'effect_radius_pd': 0},
+     [0.0010], [0.0712928]]
+    ]
 
Index: sasmodels/models/hollow_cylinder.py
===================================================================
--- sasmodels/models/hollow_cylinder.py	(revision 0420af743cbd4738603a3f63dde3bffd78ebfdcd)
+++ sasmodels/models/hollow_cylinder.py	(revision ec2ca99b9e3d90e4b91919c523a94d9855ca9c3c)
@@ -78,19 +78,26 @@
 """
 category = "shape:cylinder"
-
-#             ["name", "units", default, [lower, upper], "type","description"],
+# pylint: disable=bad-whitespace, line-too-long
+#   ["name", "units", default, [lower, upper], "type","description"],
 parameters = [
-              ["radius", "Ang", 30.0, [0, inf], "volume", "Cylinder radius"],
-              ["core_radius", "Ang", 20.0, [0, inf], "volume", "Hollow core radius"],
-              ["length", "Ang", 400.0, [0, inf], "volume", "Cylinder length"],
-              ["sld", "1/Ang^2", 6.3, [-inf, inf], "", "Cylinder sld"],
-              ["solvent_sld", "1/Ang^2", 1, [-inf, inf], "", "Solvent sld"],
-              ["theta", "degrees", 90, [-360, 360], "orientation", "Theta angle"],
-              ["phi", "degrees", 0, [-360, 360], "orientation", "Phi angle"],
-              ]
+    ["radius",      "Ang",     30.0, [0, inf],    "volume",      "Cylinder radius"],
+    ["core_radius", "Ang",     20.0, [0, inf],    "volume",      "Hollow core radius"],
+    ["length",      "Ang",    400.0, [0, inf],    "volume",      "Cylinder length"],
+    ["sld",         "1/Ang^2",  6.3, [-inf, inf], "",            "Cylinder sld"],
+    ["solvent_sld", "1/Ang^2",  1,   [-inf, inf], "",            "Solvent sld"],
+    ["theta",       "degrees", 90,   [-360, 360], "orientation", "Theta angle"],
+    ["phi",         "degrees",  0,   [-360, 360], "orientation", "Phi angle"],
+    ]
+# pylint: enable=bad-whitespace, line-too-long
 
 source = ["lib/J1.c", "lib/gauss76.c", "hollow_cylinder.c"]
 
 def ER(radius, core_radius, length):
+    """
+    :param radius:      Cylinder radius
+    :param core_radius: Hollow core radius, UNUSED
+    :param length:      Cylinder length
+    :return:            Effective radius
+    """
     if radius == 0 or length == 0:
         return 0.0
@@ -104,4 +111,10 @@
 
 def VR(radius, core_radius, length):
+    """
+    :param radius:      Cylinder radius
+    :param core_radius: Hollow core radius
+    :param length:      Cylinder length
+    :return:            Volf ratio for P(q)*S(q)
+    """
     vol_core = pi*core_radius*core_radius*length
     vol_total = pi*radius*radius*length
@@ -110,23 +123,23 @@
 
 # parameters for demo
-demo = dict(scale=1.0,background=0.0,length=400.0,radius=30.0,core_radius=20.0,
-            sld=6.3,solvent_sld=1,theta=90,phi=0,
+demo = dict(scale=1.0, background=0.0, length=400.0, radius=30.0,
+            core_radius=20.0, sld=6.3, solvent_sld=1, theta=90, phi=0,
             radius_pd=.2, radius_pd_n=9,
             length_pd=.2, length_pd_n=10,
             core_radius_pd=.2, core_radius_pd_n=9,
             theta_pd=10, theta_pd_n=5,
-            )
+           )
 
 # For testing against the old sasview models, include the converted parameter
 # names and the target sasview model name.
 oldname = 'HollowCylinderModel'
-oldpars = dict(scale='scale',background='background',radius='radius',
-               core_radius='core_radius',sld='sldCyl',length='length',
-               solvent_sld='sldSolv',phi='axis_phi',theta='axis_theta')
+oldpars = dict(scale='scale', background='background', radius='radius',
+               core_radius='core_radius', sld='sldCyl', length='length',
+               solvent_sld='sldSolv', phi='axis_phi', theta='axis_theta')
 
 # Parameters for unit tests
 tests = [
-         [{"radius" : 30.0},0.00005,1764.926],
-         [{},'VR',1.8],
-         [{},0.001,1756.76]
-         ]
+    [{"radius": 30.0}, 0.00005, 1764.926],
+    [{}, 'VR', 1.8],
+    [{}, 0.001, 1756.76]
+    ]
Index: sasmodels/models/lamellarCaille.py
===================================================================
--- sasmodels/models/lamellarCaille.py	(revision 13ed84c3c71257d2df9c2ed4b4e98c0bfa4d7d69)
+++ sasmodels/models/lamellarCaille.py	(revision ec2ca99b9e3d90e4b91919c523a94d9855ca9c3c)
@@ -1,3 +1,2 @@
-# Note: model title and parameter table are inserted automatically
 r"""
 This model provides the scattering intensity, $I(q) = P(q) S(q)$, for a
@@ -77,26 +76,26 @@
 title = "Random lamellar sheet with Caille structure factor"
 description = """\
-	[Random lamellar phase with Caille  structure factor]
-        randomly oriented stacks of infinite sheets
-		with Caille S(Q), having polydisperse spacing.
-    	sld = sheet scattering length density
-		sld_solvent = solvent scattering length density
-		background = incoherent background
-		scale = scale factor
+    [Random lamellar phase with Caille  structure factor]
+    randomly oriented stacks of infinite sheets
+    with Caille S(Q), having polydisperse spacing.
+    sld = sheet scattering length density
+    sld_solvent = solvent scattering length density
+    background = incoherent background
+    scale = scale factor
 """
 category = "shape:lamellae"
 
 single = False
-
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["thickness", "Ang",  30.0, [0, inf], "volume", "sheet thickness"],
-              ["Nlayers", "",  20, [0, inf], "", "Number of layers"],
-              ["spacing", "Ang", 400., [0.0,inf], "volume", "d-spacing of Caille S(Q)"],
-              ["Caille_parameter", "1/Ang^2", 0.1, [0.0,0.8], "", "Caille parameter"],
-              ["sld", "1e-6/Ang^2", 6.3, [-inf,inf], "",
-               "layer scattering length density"],
-              ["solvent_sld", "1e-6/Ang^2", 1.0, [-inf,inf], "",
-               "Solvent scattering length density"],
-             ]
+parameters = [
+    ["thickness",        "Ang",      30.0,  [0, inf],   "volume", "sheet thickness"],
+    ["Nlayers",          "",          20,   [0, inf],   "",       "Number of layers"],
+    ["spacing",          "Ang",      400.,  [0.0,inf],  "volume", "d-spacing of Caille S(Q)"],
+    ["Caille_parameter", "1/Ang^2",    0.1, [0.0,0.8],  "",       "Caille parameter"],
+    ["sld",              "1e-6/Ang^2", 6.3, [-inf,inf], "",       "layer scattering length density"],
+    ["solvent_sld",      "1e-6/Ang^2", 1.0, [-inf,inf], "",       "Solvent scattering length density"],
+    ]
+# pylint: enable=bad-whitespace, line-too-long
 
 source = ["lamellarCaille_kernel.c"]
@@ -116,16 +115,18 @@
 
 demo = dict(scale=1, background=0,
-            thickness=67.,Nlayers=3.75,spacing=200.,
-            Caille_parameter=0.268,sld=1.0, solvent_sld=6.34,
-            thickness_pd= 0.1, thickness_pd_n=100,
-            spacing_pd= 0.05, spacing_pd_n=40)
+            thickness=67., Nlayers=3.75, spacing=200.,
+            Caille_parameter=0.268, sld=1.0, solvent_sld=6.34,
+            thickness_pd=0.1, thickness_pd_n=100,
+            spacing_pd=0.05, spacing_pd_n=40)
 
 oldname = 'LamellarPSModel'
-oldpars = dict(thickness='delta', Nlayers='N_plates', Caille_parameter='caille',
-               sld='sld_bi',solvent_sld='sld_sol')
+oldpars = dict(thickness='delta', Nlayers='N_plates',
+               Caille_parameter='caille',
+               sld='sld_bi', solvent_sld='sld_sol')
 #
 tests = [
-        [ {'scale': 1.0, 'background' : 0.0, 'thickness' : 30.,'Nlayers' : 20.0, 'spacing' : 400.,
-            'Caille_parameter' : 0.1, 'sld' : 6.3, 'solvent_sld' : 1.0,
-            'thickness_pd' : 0.0, 'spacing_pd' : 0.0 }, [0.001], [28895.13397]]
-        ]
+    [{'scale': 1.0, 'background': 0.0, 'thickness': 30., 'Nlayers': 20.0,
+      'spacing': 400., 'Caille_parameter': 0.1, 'sld': 6.3,
+      'solvent_sld': 1.0, 'thickness_pd': 0.0, 'spacing_pd': 0.0},
+     [0.001], [28895.13397]]
+    ]
